%define         pname clamav
%define         bversion 19
%define         rpmrelease iworx
# update pversion to 0.105.x for >= centos7, or 0.103.x for centos6
%define         pversion 1.3.0
%define         clamav_user clamav

%define         main_cvd_url http://updates.interworx.com/_clam/main.cvd
%define         daily_cvd_url http://updates.interworx.com/_clam/daily.cvd

%define		debug_package %{nil}

%define _default_patch_fuzz 2

# Distro Statements
%define		oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define 	ostype RedHat Enterprise %{?rhel}.x
%endif


%if 0%{?rhel} >= 8
%define 	ostype Almalinux %{?rhel}.x
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

%if 0%{?rhel} >= 7
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake3
BuildRequires:  python3
BuildRequires:  python3-pip
BuildRequires:  valgrind
BuildRequires:  check-devel
BuildRequires:  json-c-devel
BuildRequires:  libxml2-devel
BuildRequires:  systemd-devel
BuildRequires:  pcre2-devel
BuildRequires:  rust >= 1.56
BuildRequires:  cargo
%endif

BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  ncurses-devel
BuildRequires:  wget
BuildRequires:  openssl openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  libcurl-devel
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
Requires:       tmpwatch


%define		    ccflags %{optflags}
%define		    ldflags %{optflags}

############### RPM ################################

Summary:        An antivirus toolkit for Unix
Name:           %{pname}
Version:        %{pversion}
Release:        %{release}
License:        GPL

Group:          System Environment/Daemons
Source0:        %{pname}-%{pversion}.tar.gz
# http://www.clamav.net/downloads, Previous stable releases, source
URL:            http://www.clamav.net/downloads

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	    Paul Oehler <poehler@interworx.com>

Epoch:		    3

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Provides:       clamd
Provides:       clamav-db

Source5:        clamav-clamd.logrotate
Source6:        clamav-freshclam.logrotate
Source11:       clamav-freshclam.daily


Patch1:		    clamav-calmdown-104.patch

%description
Clam AntiVirus is a GPL anti-virus toolkit for UNIX. The main purpose of this
software is the integration with mail servers (attachment scanning).
The package provides a flexible and scalable multi-threaded daemon,
a command line scanner, and a tool for automatic updating via Internet.
The programs are based on a shared library distributed with package,
which you can use with your own software.
Most importantly, the virus database is kept up to date .

%package        devel
Summary:        Clamav - Development header files and libraries
Group:          Development/Libraries
Requires:       %{name} = 3:%{version}-%{release}

%description    devel
This package contains the development header files and libraries
necessary to develope your own clamav based applications.

%prep
%setup -q -n %{pname}-%{pversion}
%if 0%{?rhel} >= 7
%patch1 -p1
%endif

# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 5

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

# We have gcc written in a temp file
export CC="gcc %{ccflags}"
export CPPFLAGS="%{ccflags}"

%if 0%{?rhel} == 6
# Configure
./configure                                  \
        --prefix=%{_prefix}                  \
        --bindir=%{_bindir}                  \
        --mandir=%{_mandir}                  \
        --localstatedir=%{_localstatedir}    \
        --libdir=%{_libdir}                  \
        --datadir=%{_datadir}                \
        --includedir=%{_includedir}          \
        --sysconfdir=%{_sysconfdir}          \
        --program-prefix=%{?_program_prefix} \
        --disable-clamav                     \
        --disable-clamonacc                  \
        --enable-id-check                    \
        --with-user=%{clamav_user}           \
        --with-group=%{clamav_user}          \
        --disable-zlib-vcheck                \
        --with-pcre                          \
        --with-dbdir=%{_localstatedir}/clamav
%endif

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%if 0%{?rhel} == 6
%{__make} %{?_smp_mflags}
%endif

%if 0%{?rhel} >= 7
mkdir build
cd build
# Configure
cmake3 \
	   -D CMAKE_INSTALL_PREFIX=/usr   \
	   -D CMAKE_INSTALL_BINDIR=/usr/bin \
       -D CMAKE_INSTALL_FULL_LIBDIR=/usr/lib64 \
	   -D CMAKE_INSTALL_DOCDIR=/usr/share/man \
	   -D CMAKE_INSTALL_DATADIR=/usr/share \
	   -D CMAKE_INSTALL_SYSCONFDIR=/etc \
       -D APP_CONFIG_DIRECTORY=/etc \
	   -D CLAMAV_USER=clamav \
	   -D CLAMAV_GROUP=clamav \
	   -D DATABASE_DIRECTORY=/var/clamav \
       -D ENABLE_MILTER=OFF \
       -D ENABLE_SYSTEMD=ON \
       -D INSTALL_INITD_SCRIPT=OFF \
       -D ENABLE_TESTS=ON \
	   -D BUILD_TESTING=ON \
	   -D JSONC_INCLUDE_DIR=/usr/include/json-c \
	   -D JSONC_LIBRARY=/usr/lib64/libjson-c.so \
	   -D ENABLE_JSON_SHARED=OFF \
       -D CMAKE_BUILD_TYPE=Release /builddir/build/BUILD/%{pname}-%{pversion}/


# Build
cmake3 --build .
# Test, commenting out as its intermitantly failing right now.
#ctest3 --output-on-failure
%endif

%install

# el8+ systemd is shutting clamd down after the post script.
# Cause unknown. But setting up a systemd config file fixes it.

%{__install} -d %{buildroot}%{_initrddir}/
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig/
%{__install} -d %{buildroot}%{_sysconfdir}/cron.daily/
%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d/
%{__install} -d %{buildroot}%{_localstatedir}/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/log/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/run/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/spool/clamav/

%if 0%{?rhel} >= 7
cd build/
%endif

%{__make} DESTDIR=%{buildroot} install

%{__install} %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/clamd
%{__install} %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/freshclam
%{__install} %{SOURCE11} %{buildroot}%{_sysconfdir}/cron.daily/freshclam

[ -d database/ ] || mkdir database
wget -O database/main.cvd %{main_cvd_url}
wget -O database/daily.cvd %{daily_cvd_url}

%{__install} database/main.cvd %{buildroot}%{_localstatedir}/clamav/main.cvd
%{__install} database/daily.cvd %{buildroot}%{_localstatedir}/clamav/daily.cvd

touch %{buildroot}%{_localstatedir}/log/clamav/clamav.log
touch %{buildroot}%{_localstatedir}/log/clamav/freshclam.log
rm %{buildroot}%{_mandir}/man8/clamav-milter.8*

# Rename systemd unit files and update any confs.
# Also set up symlinks for original names.
declare -A file_map
file_map=(
    ["clamav-daemon.service"]="clamd.service"
    ["clamav-freshclam-once.service"]="freshclam-once.service"
    ["clamav-freshclam-once.timer"]="freshclam-once.timer"
    ["clamav-freshclam.service"]="freshclam.service"
)

for old in "${!file_map[@]}"; do
    new=${file_map[$old]}
    mv %{buildroot}%{_unitdir}/$old %{buildroot}%{_unitdir}/$new
    sed -i "s/$old/$new/g" %{buildroot}%{_unitdir}/$new
    ln -s %{_unitdir}/$new %{buildroot}%{_unitdir}/$old
done

sed -i 's/Requires=clamav-daemon.socket//g' %{buildroot}%{_unitdir}/clamd.service
sed -i 's/Also=clamav-daemon.socket//g' %{buildroot}%{_unitdir}/clamd.service
rm -f %{buildroot}%{_unitdir}/clamd.socket

# Add a sleep to the clamd service to wait for the socket to be created. Takes 29 seconds on avg.
sed -i '/ExecStart=.*true/a ExecStartPost=\/bin\/bash -c '\''for i in {1..40}; do netstat -tuln | grep -q ":3310 " && break || sleep 1; done'\''' %{buildroot}%{_unitdir}/clamd.service

# Set up tmpfiles.d, run/clamav vanishes on reboot in version 1.3.0
mkdir -p %{buildroot}/etc/tmpfiles.d
echo 'd /run/clamav 0755 clamav clamav -' > %{buildroot}/etc/tmpfiles.d/clamav.conf

# Custom config files
%{__sed} -e 's!^Example!#Example!;
	s!^#LogFile .*!LogFile /var/log/clamav/clamd.log!;
	s!^#LogFileMaxSize .*!LogFileMaxSize 0!;
	s!^#LogTime!LogTime!;
	s!^#LogSyslog!LogSyslog!;
	s!^#PidFile .*!PidFile /run/clamav/clamd.pid!;
	s!^#TemporaryDirectory .*!TemporaryDirectory /tmp!;
	s!^#DatabaseDirectory .*!DatabaseDirectory /var/clamav!;
	s!^LocalSocket .*!#LocalSocket /run/clamav/clamd.sock!;
	s!^#FixStaleSocket!FixStaleSocket!;
	s!^#TCPSocket .*!TCPSocket 3310!;
	s!^#TCPAddr .*!TCPAddr 127.0.0.1!;
	s!^#MaxConnectionQueueLength .*!MaxConnectionQueueLength 30!;
	s!^#StreamSaveToDisk!StreamSaveToDisk!;
	s!^#ReadTimeout .*!ReadTimeout 300!;
	s!^#User .*!User %{clamav_user}!;
	s!^#AllowSupplementaryGroups!AllowSupplementaryGroups!;
	s!^#ScanMail!ScanMail!;
	s!^#ArchiveBlockEncrypted!ArchiveBlockEncrypted!;' \
	%{buildroot}%{_sysconfdir}/clamd.conf.sample > %{buildroot}%{_sysconfdir}/clamd.conf

%{__sed} -e 's!^Example!#Example!;
	s!^#DatabaseDirectory .*!DatabaseDirectory /var/clamav!;
	s!^#UpdateLogFile .*!UpdateLogFile /var/log/clamav/freshclam.log!;
	s!^#DatabaseOwner .*!DatabaseOwner clamav!;
	s!^Checks .*!Checks 24!;
	s!^#ScriptedUpdates yes!ScriptedUpdates no!;
	s!^#NotifyClamd .*!NotifyClamd /etc/clamd.conf!;' \
	%{buildroot}%{_sysconfdir}/freshclam.conf.sample > %{buildroot}%{_sysconfdir}/freshclam.conf

rm %{buildroot}%{_sysconfdir}/freshclam.conf.sample
rm %{buildroot}%{_sysconfdir}/clamd.conf.sample
rm -rf %{buildroot}%{_docdir}/tests


%clean
if [ -n "%{buildroot}" -a "%{buildroot}" != / ] ; then rm -rf %{buildroot} ; fi
if [ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{name}-%{pversion} ; fi

%pre
curver=$(clamd --version | cut -d"/" -f 1 | awk '{print $2}')
services=("clamd" "freshclam")
for service in "${services[@]}"; do
    # If service is in chkconfig.
    if chkconfig --list $service >/dev/null 2>&1; then
        # If 1.1.1 is at the top, meaning the current version is older or equal to 1.1.1.
        if [[ $(echo -e "1.1.1\n$curver" | sort -V | head -n1) == "1.1.1" ]]; then
            echo "Recording $service start on boot status"
            tmpfile="/usr/local/interworx/tmp/$service-startonboot"
            chkconfig --list $service 2>/dev/null | grep -q "3:on" && echo "on" > $tmpfile || echo "off" > $tmpfile
        fi
    fi
done


if [ -z "`/usr/bin/id -g %{clamav_user} 2>/dev/null`" ]; then
	%{_sbindir}/groupadd -r -f %{clamav_user} 2>&1 || :
fi
if [ -z "`/usr/bin/id -u %{clamav_user} 2>/dev/null`" ]; then
	%{_sbindir}/useradd -r -M -s /bin/false -c "Clam AntiVirus" -g %{clamav_user} %{clamav_user} 2>&1 || :
fi

%post
/sbin/ldconfig

systemctl daemon-reload

sed -i 's!DatabaseDirectory .*!DatabaseDirectory /var/clamav!' /etc/clamd.conf 2>/dev/null || :
sed -i 's!DatabaseDirectory .*!DatabaseDirectory /var/clamav!' /etc/freshclam.conf 2>/dev/null || :

if [ "$1" == "1" ]; then
   # for VPS shits, there is no network file on VPS OS template creation
   if [ -f /etc/sysconfig/network ]; then
     systemctl freshclam start > /dev/null 2>&1 || :
     systemctl clamd start > /dev/null 2>&1 || :
   fi
fi

if [ "$1" == "2" ]; then
    # I missed a clash between systemd socket and clamd conf that prevented tcp 127.0.0.1:3310 starting up, required for simscan.
    # Making sure the socket is stopped.
    systemctl stop clamd.socket > /dev/null 2>&1
    rm -f /run/clamav/clamd.ctl > /dev/null 2>&1

    systemctl daemon-reload

    services=("clamd" "freshclam")
    for service in "${services[@]}"; do

        # If /usr/local/interworx/tmp/$service-startonboot exists.
        if [ -f /usr/local/interworx/tmp/$service-startonboot ]; then
            unit="/usr/lib/systemd/system/$service.service"
            cat /usr/local/interworx/tmp/$service-startonboot | grep -q "on" && systemctl enable $unit > /dev/null || systemctl disable $unit > /dev/null
            # In case the last version was 1.1.1 or older. Update systemd start on boot status.
            if chkconfig --list $service >/dev/null 2>&1; then
                # Now delete from chkconfig.
                chkconfig --del $service >/dev/null 2>&1
                # This does not impact system chkconfig enable\disable functions as those are forwarded to systemctl enable\disable.
                # status and is-enabled are working too.
            fi
        fi
        # If $service (clamd,freshclam) is running. We are going to stop and restart it, even if not enabled on boot.
        # Using pidof in case the old version was pre-systemd and the procs are orphaned.
        if pidof $service; then
            # In case last version 1.1.1 or older we need to make sure the old versions daemon is stopped\killled.
            pid=$(pidof $service)
            if [ -n "$pid" ]; then
                echo "Post upgrade, stopping $service"
                systemctl stop $service > /dev/null 2>&1
                kill $pid > /dev/null 2>&1
                sleep 3
                if [ "$(pidof $service)" == "$pid" ]; then
                    echo "Error: Unable to stop $service"
                else
                    echo "Starting $service"
                    systemctl restart $service
                fi
            fi
        fi
    done
    systemctl daemon-reload
fi


%preun

%postun
/sbin/ldconfig

systemctl daemon-reload

if [ $1 -eq 0 ]; then
    echo "Post uninstall, stopping ClamAV and Freshclam"
	/sbin/service clamd stop > /dev/null 2>&1 || :
	/sbin/service freshclam stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del clamd > /dev/null 2>&1 || :
	/sbin/chkconfig --del freshclam > /dev/null 2>&1 || :
fi

%files
/etc/tmpfiles.d/clamav.conf
%{_unitdir}/*
# symlinked systemd unit files \ alias.
%{_unitdir}/clamav-daemon.service
%{_unitdir}/clamav-freshclam-once.service
%{_unitdir}/clamav-freshclam-once.timer
%{_unitdir}/clamav-freshclam.service

%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0640,root,clamav) %config(noreplace) %{_sysconfdir}/freshclam.conf
%{_libdir}/*
%attr(0755,root,root) %{_sysconfdir}/cron.daily/freshclam
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/clamd
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/freshclam
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/clamd
%attr(0755,root,root) %{_sbindir}/clamonacc
%attr(0755,clamav,clamav) %dir %{_localstatedir}/clamav/
%attr(0644,clamav,clamav) %config(noreplace) %verify(user group mode) %{_localstatedir}/clamav/main.cvd
%attr(0644,clamav,clamav) %config(noreplace) %verify(user group mode) %{_localstatedir}/clamav/daily.cvd
%attr(0755,clamav,clamav) %dir %{_localstatedir}/log/clamav/
%attr(0755,clamav,clamav) %dir %{_localstatedir}/run/clamav/
%attr(0640,clamav,clamav) %ghost %{_localstatedir}/log/clamav/clamav.log
%attr(0640,clamav,clamav) %ghost %{_localstatedir}/log/clamav/freshclam.log
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/clamd.8*

%files devel
%defattr(0644,root,root,0755)
%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc
%attr(0644,root,root) %{_includedir}/*.h

%{_mandir}/html/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/clamonacc.8.gz
%{_mandir}/man8/clamd.8.gz

%changelog
* Mon Feb 12 2024 Joseph Purkis <jpurkis@interworx.com> - 1.3.0
- Update to 1.3.0

* Mon Jan 08 2024 InterWorx Build System <support@interworx.com> - 1.2.1
- Automated rebasing of iworx version onto upstream 1.2.1

* Wed Aug 16 2023 InterWorx Build System <support@interworx.com> - 1.1.1
- Automated rebasing of iworx version onto upstream 1.1.1

* Mon May 01 2023 InterWorx Build System <support@interworx.com> - 1.1.0
- Automated rebasing of iworx version onto upstream 1.1.0

* Wed Mar 29 2023 Joseph Purkis <jpurkis@interworx.com>
- Update to 1.0.1

* Fri Mar 17 2023 Joseph Purkis <jpurkis@interworx.com>
- Update to 0.105.2

* Thu Jan 12 2023 Joseph Purkis <jpurkis@interworx.com>
- Update to 0.105.1-3

* Thu Nov 03 2022 Malin Lorch <mlorch@liquidweb.com>
- Build for Almalinux 9

* Wed Mar 30 2022 Joseph Purkis <jpurkis@interworx.com>
- Update to 0.104.2

* Fri Jan 07 2022 Joseph Purkis <jpurkis@interworx.com>
- Remove ancient dynamic gcc resolution (always resulted in just 'gcc')
- Cleaned up old Distros

* Wed May 13 2020 InterWorx Build System <support@interworx.com> - 0.102.3
- Automated update to version 0.102.3

* Wed Mar 25 2020 Paul Oehler <poehler@interworx.com>
- Add SYSTEMCTL_SKIP_REDIRECT=1 to init scripts, fixes symlink errors when restarting

* Thu Feb 06 2020 InterWorx Build System <support@interworx.com> - 0.102.2
- Automated update to version 0.102.2

* Thu Nov 21 2019 InterWorx Build System <support@interworx.com> - 0.102.1
- Automated update to version 0.102.1

* Thu Oct 03 2019 InterWorx Build System <support@interworx.com> - 0.102.0
- Automated update to version 0.102.0

* Thu Aug 22 2019 InterWorx Build System <support@interworx.com> - 0.101.4
- Automated update to version 0.101.4

* Tue Aug 06 2019 InterWorx Build System <support@interworx.com> - 0.101.3
- Automated update to version 0.101.3

* Wed Mar 27 2019 InterWorx Build System <support@interworx.com> - 0.101.2
- Automated update to version 0.101.2

* Tue Jan 08 2019 InterWorx Build System <support@interworx.com> - 0.101.1
- Automated update to version 0.101.1

* Thu Oct 04 2018 InterWorx Build System <support@interworx.com> - 0.100.2
- Automated update to version 0.100.2

* Tue Jul 10 2018 InterWorx Build System <support@interworx.com> - 0.100.1
- Automated update to version 0.100.1

* Tue Apr 10 2018 InterWorx Build System <support@interworx.com> - 0.100.0
- Automated update to version 0.100.0

* Fri Mar 02 2018 InterWorx Build System <support@interworx.com> - 0.99.4
- Automated update to version 0.99.4

* Fri Jan 26 2018 Paul Oehler <poehler@interworx.com>
- Upgrade to 0.99.3
- added clamav-0.99.3-scanners.patch (https://gist.github.com/manuelm/dbc94001c77c07363cdcb5b390c2cb04)
* Thu Dec 01 2016 Paul Oehler <poehler@interworx.com>
- added pcre-devel
* Thu Sep 29 2016 Matt Parmelee <mparmelee@interworx.com>
- Removed test files directory.
* Wed May 04 2016 InterWorx Build System <support@interworx.com> - 0.99.2
- Automated update to version 0.99.2

* Thu Mar 03 2016 InterWorx Build System <support@interworx.com> - 0.99.1
- Automated update to version 0.99.1

* Mon Dec 21 2015 InterWorx Build System <support@interworx.com> - 0.99
- Automated update to version 0.99

* Thu Apr 30 2015 InterWorx Build System <support@interworx.com> - 0.98.7
- Automated update to version 0.98.7

* Thu Dec 18 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL7x.
* Mon Nov 24 2014 Tim College <tcollege@interworx.com>
- Upgraded to 0.98.5
* Tue Aug 19 2014 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.98.4
- Dropped support for el4
* Mon Dec 09 2013 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.98
- Moved virus definitions from /var/lib/clamav/ to /var/clamav/ for compatible with other clamav packages
* Thu Apr 25 2013 Matt Parmelee <mparmelee@interworx.com>
- Upgraded to 0.97.8
* Wed Apr 17 2013 Matt Parmelee <mparmelee@interworx.com>
- Added Provides for clamav-db.
* Tue Apr 02 2013 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.7
- added tmpwatch to requires
* Thu Apr 12 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.4
* Wed Feb 29 2012 Paul Oehler <poehler@interworx.com>
- Added clamav-async-reload.patch.
- Added Provides: clamd
* Tue Jan 31 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.3
* Wed Jun 15 2011 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.1
- Set Epoch to 3 to combat irritating incompatible updates from other repos.
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Fri Apr 16 2010 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.96
* Sun Nov 01 2009 Paul Oehler <poehler@interworx.com>
- Bumped version to 0.95.3
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Updated to version 0.93 and added Fedora 8 support
* Wed Oct 19 2005 Chris Wells <clwells@nexcess.net>
- updated for VPS install
* Thu Jun 23 2005 Chris Wells <clwells@nexcess.net>
- Updated to 0.86.1
* Mon Feb 07 2005 Paul Oehler <poehler@nexcess.net>
- Updated to 0.82
* Fri Jan 28 2005 Paul Oehler <poehler@nexcess.net>
- Updated to 0.81
* Mon Jan 17 2005 Chris Wells <clwells@nexcess.net>
- Updated to 0.80 and made work with InterWorx-CP
* Sat Sep 11 2004 Chris Wells <clwells@nexcess.net>
- Repackaged for InterWorx-CP
* Thu Jul 01 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.74-1.2-1
- Updated to ClamAV 0.74
* Tue Jun 29 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.72-1.2-3
- Fix some typos in SPEC file
* Thu Jun 24 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.72-1.2.2
- Initial Build.
